Bug 20275 - Apache should not be distributed with any default cgi
Summary: Apache should not be distributed with any default cgi
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: All Linux
high
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Dale Lovelace
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-03 10:39 UTC by Arenas Belon, Carlo Marcelo
Modified: 2007-03-27 03:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-10 18:27:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Arenas Belon, Carlo Marcelo 2000-11-03 10:39:25 UTC
apache's package is bundled with two "test" (default) cgi installed that
are remotely accesible on :

  http://servername/cgi-bin/printenv
  http://servername/cgi-bin/test-cgi

they are not currently enabled (as no +x bit is set) but they would send an
"Internal Server Error" message on excecution, letting a remote 
cracker to diferenciate between 7.0 and 6.x systems.

also, installing non functional scripts is problematic as explained on
#20270, but those scripts are of no utility and should be avoided when
possible as have been used as a remote breaking tool at least once on the
past.

as there is no reference of the reason why it are now enabled i guess it
should be on error, so a fix should be made.

Comment 1 Arenas Belon, Carlo Marcelo 2001-01-10 18:27:23 UTC
prinenv and test-cgi are still on apache-1.3.14-6 from beta2

Comment 2 Nalin Dahyabhai 2001-01-12 02:40:43 UTC
They will be moved from the cgi-bin directory to the documentation tree in
1.3.14-7 and later.


Note You need to log in before you can comment on or make changes to this bug.